## class osgParticle::SectorPlacer

> A sector-shaped particle placer.

## Inheritance:

### Public Methods

META_Object(osgParticle, SectorPlacer)
inline SectorPlacer()
inline SectorPlacer(const SectorPlacer &copy, const osg::CopyOp &copyop)
inline const rangef& getRadiusRange() const
  Get the range of possible values for radius
inline const rangef& getPhiRange() const
  Get the range of possible values for the central angle
inline void setRadiusRange(const rangef &r)
  Set the range of possible values for radius
inline void setRadiusRange(float r1, float r2)
  Set the range of possible values for radius
inline void setPhiRange(const rangef &r)
  Set the range of possible values for the central angle
inline void setPhiRange(float r1, float r2)
  Set the range of possible values for the central angle
inline void place(Particle* P) const
  Place a particle.

### Protected Methods

virtual ~SectorPlacer()
SectorPlacer& operator=(const SectorPlacer &)

### Inherited from CenteredPlacer:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
inline const osg::Vec3& getCenter() const
inline void setCenter(const osg::Vec3 &v)
inline void setCenter(float x, float y, float z)

### Inherited from Placer:

## Documentation

> A sector-shaped particle placer. This placer sets the initial position of incoming particle by choosing a random position within a circular sector; this sector is defined by three parameters: a center point, which is inherited directly from `osgParticle::CenteredPlacer`, a range of values for radius, and a range of values for the central angle (sometimes called phi).

`META_Object(osgParticle, SectorPlacer)`

`virtual ~SectorPlacer()`

`SectorPlacer& operator=(const SectorPlacer &)`

`inline SectorPlacer()`

`inline SectorPlacer(const SectorPlacer &copy, const osg::CopyOp &copyop)`

`inline const rangef& getRadiusRange() const`
  Get the range of possible values for radius

`inline const rangef& getPhiRange() const`
  Get the range of possible values for the central angle

`inline void setRadiusRange(const rangef &r)`
  Set the range of possible values for radius

`inline void setRadiusRange(float r1, float r2)`
  Set the range of possible values for radius

`inline void setPhiRange(const rangef &r)`
  Set the range of possible values for the central angle

`inline void setPhiRange(float r1, float r2)`
  Set the range of possible values for the central angle

`inline void place(Particle* P) const`
  Place a particle. Do not call it manually.

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.